#include "..\MaterialDefine.def"

[Technique]
{
  [Pass]
  {
    [Layer]
    {
      TextureSource     = TEXT_DIFFUSE
      TexCoordIndex     = 0

      ColorArg1 = TA_TEXTURE ;diffuse textura
      ColorArg2 = TA_DIFFUSE
      ColorOp   = TOP_MODULATE

      AlphaArg1 = TA_TEXTURE
      AlphaOp   = TOP_SELECTARG1

      TextureAddressU = TADDRESS_WRAP
      TextureAddressV = TADDRESS_WRAP

      Filter = TF_LINEAR_MIP_POINT
    }

    FillMode    = FILL_SOLID
    Cull        = CULL_NONE
    DitherEnable        = TRUE
    SpecularEnable      = FALSE

    LightingEnable      = TRUE
    NormalizeNormals    = TRUE
    LocalViewer         = TRUE

    AlphaTestEnable     = TRUE
    AlphaFunc           = CMP_GREATER
    AlphaRef            = 0

    AlphaBlendEnable    = TRUE
    SrcBlend    = BLEND_SRCALPHA
    DestBlend   = BLEND_INVSRCALPHA

    ZWriteEnable        = TRUE
    ZFunc               = CMP_LESS
;    ZWriteEnable        = FALSE
;    ZFunc               = CMP_ALWAYS

    DiffuseMaterialSource       = MCS_DIFFUSE
    SpecularMaterialSource	= MCS_MATERIAL
    AmbientMaterialSource	= MCS_MATERIAL
    EmissiveMaterialSource	= MCS_MATERIAL
  }
}
